Previous: C64 system ROM resources, Up: C64 system ROM settings [Contents][Index]

#### 7.1.7.2 C64 system ROM command-line options

`-basic <name>`

  Specify filename of the Basic ROM file (`BasicName`).

`-chargen <name>`

  Specify filename of the character generator ROM file (`ChargenName`).

`-kernal <name>`

  Specify filename of the Kernal ROM file (`KernalName`).

`-kernalrev <revision>`

  Specify Kernal revision (`KernalRev`). (1/2/3, 67/sx, 100/4064)

#### 7.1.8 C64 settings

#### 7.1.8.1 C64 resources

`GlueLogic`

  Integer specifying the type of emulated glue-logic. (0: discrete, 1: custom IC)

`BurstMod`

  Integer specifying the kind of Burst-Mode modification. (0: None, 1: CIA-1, 2: CIA-2)

`BoardType`

  Integer specifying the type of emulated board (not available in xscpu64). (0: C64, 1: MAX)

`IECReset`

  Integer specifying if the IEC bus resets when the CPU resets. (0: No, 1: Yes)

`MemoryHack`

  Integer specifying what memory expansion hack is active. (0: None, 1: C64 256K, 2: PLUS60K, 3: PLUS256K)

`PLUS60Kfilename`

  String specifying the filename of the PLUS60K RAM image.

`PLUS60Kbase`

  Integer that specifies the base address of the PLUS60K RAM expansion. (0xD040, 0xD100)

`PLUS256Kfilename`

  String specifying the filename of the PLUS256K RAM image.

`C64_256Kfilename`

  String specifying the filename of the 256KiB RAM image.

`C64_256Kbase`

  Integer that specifies the base address of the 256KiB RAM expansion. (0xDE00/0xDE80/0xDF00/0xDF80)

`MachineVideoStandard`

  Integer that specifies the video standard of the emulated machine (0: PAL, 1: Old PAL, 2: NTSC, 3: Old NTSC, 4: PAL-N).

`CPMCart`

  Boolean that specifies if a CP/M cartridge is attached.

#### 7.1.8.2 C64 command-line options

`-gluelogictype <type>`

  Set glue logic type (`GlueLogic`). (0: discrete, 1: 252535-01)

`-iecreset <value>`

  Set IEC reset bahaviour (`IECReset`). (0: Do not reset with CPU reset, 1: Reset with CPU reset)

`-memoryexphack <device>`

  Set active memory expansion hack (`MemoryHack`). (0: None, 1: C64 256K, 2: PLUS60K, 3: PLUS256K)

`-plus60kimage <name>`

  Specify name of PLUS60K image (`PLUS60Kfilename`).

`-plus60kbase <base address>`

  Base address of the PLUS60K expansion (`PLUS60Kbase`). (0xD040/0xD100)

`-plus256kimage <name>`

  Specify name of PLUS256K image (`PLUS256Kfilename`).

`-256kimage <name>`

  Specify name of 256K image (`C64_256Kfilename`).

`-256kbase <base address>`

  Base address of the 256KiB expansion (`C64_256Kbase`). (0xDE00, 0xDE80, 0xDF00, 0xDF80)

`-pal`

  Use PAL sync factor (`MachineVideoStandard=1`).

`-ntsc`

  Use NTSC sync factor (`MachineVideoStandard=2`).

`-ntscold`

  Use old NTSC sync factor (`MachineVideoStandard=3`).

`-paln`

  Use PAL-N sync factor (`MachineVideoStandard=4`).

`-model <Model>`

  Set the C64 model (`VICIIModel`, `CIA1Model`, `CIA2Model`, `GlueLogic`, `BoardType`, `IECReset`, `KernalName`, `ChargenName`, `SidEngine`, `SidModel`) (x64 and x64sc only). (c64/c64c/c64old, ntsc/newntsc/oldntsc, drean, jap, c64gs, pet64, ultimax)

`-cpmcart`
`+cpmcart`

  Enable/disable the CP/M cartridge (`CPMCart=1`, `CPMCart=0`)

Previous: C64 system ROM resources, Up: C64 system ROM settings [Contents][Index]